.bulb {float:left;width: 64px;height: 45px;}
.wire {float:left;width: 152px;height: 45px;left:-8px;}
.wire-switch {float:left;width: 61px;height: 36px;}
.battery {float:left;width: 63px;height: 45px;left:-16px;}
.wire-battery {float:left;width: 63px;height: 45px;left:-16px;}

.light_bulb-off {background: url(../images/circuit/bulb-off-block.png) no-repeat left top;}
.light_bulb-on {background: url(../images/circuit/bulb-on-block.png) no-repeat left top;}

.power_line {width: 152px;height: 45px;background: url(../images/circuit/power-line.png) no-repeat left top;}
.not-power_line {width: 250px;height: 83px;background: url(../images/circuit/not-power-line.png) no-repeat left top;}
.power_line-and {width: 250px;height: 45px;background: url(../images/circuit/power-line-and.png) no-repeat left top;}
.power_line-nand {width: 348px;height: 83px;background: url(../images/circuit/power-line-nand.png) no-repeat left top;}
.power_line-or {width: 152px;height: 96px;background: url(../images/circuit/power-line-or.png) no-repeat left top;}
.power_line-nor {width: 261px;height: 107px;background: url(../images/circuit/power-line-nor.png) no-repeat left top;}
.power_line-1V1Cor {width: 152px;height: 96px;background: url(../images/circuit/power-line-1V1Cor.png) no-repeat left top;}
.power_line-1V1Cnor {width: 261px;height: 107px;background: url(../images/circuit/power-line-1V1Cnor.png) no-repeat left top;}
.power_line-andor {width: 261px;height: 96px;background: url(../images/circuit/power-line-andor.png) no-repeat left top;}
.power_line-orand {width: 261px;height: 96px;background: url(../images/circuit/power-line-orand.png) no-repeat left top;}

.work_switch {background: url(../images/circuit/switch.png) no-repeat left top;}
.standby_switch {background: url(../images/circuit/not-switch.png) no-repeat left top;}
.sw1-and,.sw1-1V1Cand {  
-webkit-transform: translate(46px, 4px);
  -moz-transform: translate(46px, 4px);
  -o-transform: translate(46px, 4px);
  -ms-transform: translate(46px, 4px);
  transform: translate(46px, 4px);
 }
.sw2-and {
-webkit-transform: translate(83px, 4px);
  -moz-transform: translate(83px, 4px);
  -o-transform: translate(83px, 4px);
  -ms-transform: translate(83px, 4px);
  transform: translate(83px, 4px);
}
.sw1-or {  
  -webkit-transform: translate(45px, 8px);
  -moz-transform: translate(45px, 8px);
  -o-transform: translate(45px, 8px);
  -ms-transform: translate(45px, 8px);
  transform: translate(45px, 8px);
 }
.sw2-or {
  -webkit-transform: translate(-16px, 51px);
  -moz-transform: translate(-16px, 51px);
  -o-transform: translate(-16px, 51px);
  -ms-transform: translate(-16px, 51px);
  transform: translate(-16px, 51px);
}
.sw1-1V1Cor {
  -webkit-transform: translate(45px, 51px);
  -moz-transform: translate(45px, 51px);
  -o-transform: translate(45px, 51px);
  -ms-transform: translate(45px, 51px);
  transform: translate(45px, 51px);
}
.ib-1V1Cor {
  -webkit-transform: translate(-16px, -28px);
  -moz-transform: translate(-16px, -28px);
  -o-transform: translate(-16px, -28px);
  -ms-transform: translate(-16px, -28px);
  transform: translate(-16px, -28px);
}
.ib-1V1Cnor {
  -webkit-transform: translate(-29px, 8px);
  -moz-transform: translate(-29px, 8px);
  -o-transform: translate(-29px, 8px);
  -ms-transform: translate(-29px, 8px);
  transform: translate(-29px, 8px);
}
.sw1-1V1Cnor {
  -webkit-transform: translate(154px, 51px);
  -moz-transform: translate(154px, 51px);
  -o-transform: translate(154px, 51px);
  -ms-transform: translate(154px, 51px);
  transform: translate(154px, 51px);
}
.sw1-1V1Cnand {
  -webkit-transform: translate(144px, 22px);
  -moz-transform: translate(144px, 22px);
  -o-transform: translate(144px, 22px);
  -ms-transform: translate(144px, 22px);
  transform: translate(144px, 22px);
}
.in-1V1Cnand {
  -webkit-transform: translate(46px, -14px);
  -moz-transform: translate(46px, -14px);
  -o-transform: translate(46px, -14px);
  -ms-transform: translate(46px, -14px);
  transform: translate(46px, -14px);
}
.in-1V1Cnor {
  -webkit-transform: translate(46px, -6px);
  -moz-transform: translate(46px, -6px);
  -o-transform: translate(46px, -6px);
  -ms-transform: translate(46px, -6px);
  transform: translate(46px, -6px);
}
.in-nand {
  -webkit-transform: translate(-199px, 22px);
  -moz-transform: translate(-199px, 22px);
  -o-transform: translate(-199px, 22px);
  -ms-transform: translate(-199px, 22px);
  transform: translate(-199px, 22px);
}
.sw1-nand {  
-webkit-transform: translate(144px, 22px);
  -moz-transform: translate(144px, 22px);
  -o-transform: translate(144px, 22px);
  -ms-transform: translate(144px, 22px);
  transform: translate(144px, 22px);
 }
.sw2-nand {
-webkit-transform: translate(180px, 22px);
  -moz-transform: translate(180px, 22px);
  -o-transform: translate(180px, 22px);
  -ms-transform: translate(180px, 22px);
  transform: translate(180px, 22px);
}
.in-nor {
  -webkit-transform: translate(46px, -7px);
  -moz-transform: translate(46px, -7px);
  -o-transform: translate(46px, -7px);
  -ms-transform: translate(46px, -7px);
  transform: translate(46px, -7px);
}
.sw1-nor {  
-webkit-transform: translate(154px, 8px);
  -moz-transform: translate(154px, 8px);
  -o-transform: translate(154px, 8px);
  -ms-transform: translate(154px, 8px);
  transform: translate(154px, 8px);
 }
.sw2-nor {
-webkit-transform: translate(92px, 50px);
  -moz-transform: translate(92px, 50px);
  -o-transform: translate(92px, 50px);
  -ms-transform: translate(92px, 50px);
  transform: translate(92px, 50px);
}
.tfc {
width: 28px;
height: 28px;
}
.tfc_not {
  -webkit-transform: translate(15px, 4px) rotate(-90deg);
  -moz-transform: translate(15px, 4px) rotate(-90deg);
  -o-transform: translate(15px, 4px) rotate(-90deg);
  -ms-transform: translate(15px, 4px) rotate(-90deg);
  transform: translate(15px, 4px) rotate(-90deg);
}	
.tfc_init,.tfc_battery,.tfc_inverter {
  -webkit-transform: translate(15px, 4px) rotate(0deg);
  -moz-transform: translate(15px, 4px) rotate(0deg);
  -o-transform: translate(15px, 4px) rotate(0deg);
  -ms-transform: translate(15px, 4px) rotate(0deg);
  transform: translate(15px, 4px) rotate(0deg);
}	

.power_core-on {background: url(../images/circuit/power-core.png) no-repeat left top;}
.power_core-off {background: url(../images/circuit/power-core-off.png) no-repeat left top;}
.power_core-inline {background: url(../images/circuit/power-core-inline.png) no-repeat left top;}
.power_core-off-inline {background: url(../images/circuit/power-core-off-inline.png) no-repeat left top;}

.true_value {
width: 28px;
height: 28px;
background: url(../images/circuit/true.png) no-repeat left top;
}
.false_value {
width: 28px;
height: 28px;
background: url(../images/circuit/false.png) no-repeat left top;
}
.itf_value {
width: 28px;
height: 28px;
background: url(../images/circuit/itf.png) no-repeat left top;
}
.battery_value {
width: 28px;
height: 28px;
background: url(../images/circuit/battery.png) no-repeat left top;
}
.switch_text {
padding-top: 3px;
text-align:center;
color: #000;
width: 28px;
height: 28px;
}
.light_bulb-on ,
.light_bulb-off,
.power_line,
.not-power_line,
.power_line-1V1Cor,
.power_line-1V1Cnor,
.power_line-or,
.power_line-nor,
.power_line-and,
.power_line-nand,
.power_line-andor,
.power_line-orand,
.true_false,
.not_true_false,
.inverter_true_false,
.in-1V1Cnand,
.in-nand,
.in-1V1Cnor,
.in-nor,
.true_value,
.false_value,
.itf_value,
.battery_value,
.switch_text,
.power_core-on,
.power_core-off,
.power_core-inline,
.power_core-off-inline  {
position: relative;
}